"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runAssertCommand = void 0;
const tslib_1 = require("tslib");
const loggin_1 = require("../../core/loggin");
const budgets_1 = require("./utils/budgets");
function runAssertCommand() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, loggin_1.logVerbose)((0, budgets_1.readBudgets)());
        return Promise.resolve();
    });
}
exports.runAssertCommand = runAssertCommand;
//# sourceMappingURL=command-impl.js.map