"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertCommand = void 0;
const tslib_1 = require("tslib");
const loggin_1 = require("../../core/loggin");
const file_1 = require("../../core/file");
const md_report_1 = require("./utils/md-report");
exports.assertCommand = {
    command: 'assert',
    description: 'Setup .user-flowrc.json',
    module: {
        handler: () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            (0, loggin_1.logVerbose)(`run "assert" as a yargs command`);
            const json = JSON.parse((0, file_1.readFile)('./packages/cli/docs/raw/order-coffee.uf.json').toString());
            const mdReport = (0, md_report_1.generateMdReport)(json);
            console.log('md report', mdReport);
        })
    }
};
//# sourceMappingURL=index.js.map