"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectUserFlowsCommand = void 0;
const tslib_1 = require("tslib");
const loggin_1 = require("../../core/loggin");
const options_1 = require("./options");
const command_impl_1 = require("./command-impl");
exports.collectUserFlowsCommand = {
    command: 'collect',
    description: 'Run a set of user flows and save the result',
    builder: (y) => y.options(options_1.collectOptions),
    module: {
        handler: (argv) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            (0, loggin_1.logVerbose)(`run "collect" as a yargs command with args:`);
            yield (0, command_impl_1.runCollectCommand)(argv);
        })
    }
};
//# sourceMappingURL=index.js.map