"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectOptions = exports.persistOptions = void 0;
const openReport_1 = require("./openReport");
const ufPath_1 = require("./ufPath");
const configPath_1 = require("./configPath");
const outPath_1 = require("./outPath");
const url_1 = require("./url");
const format_1 = require("./format");
const serveCommand_1 = require("./serveCommand");
const awaitServeStdout_1 = require("./awaitServeStdout");
const dryRun_1 = require("./dryRun");
const options_1 = require("../../assert/options");
const config_1 = require("./config");
exports.persistOptions = {
    outPath: outPath_1.outPath,
    format: format_1.format,
    openReport: openReport_1.openReport
};
exports.collectOptions = Object.assign(Object.assign({ url: url_1.url,
    ufPath: ufPath_1.ufPath,
    config: config_1.config,
    configPath: configPath_1.configPath,
    serveCommand: serveCommand_1.serveCommand,
    awaitServeStdout: awaitServeStdout_1.awaitServeStdout,
    dryRun: dryRun_1.dryRun }, exports.persistOptions), options_1.assertOptions);
//# sourceMappingURL=index.js.map