import { LhConfigJson } from '../../../../hacky-things/lighthouse';
import { CollectCommandArgv } from '../../options/types';
export declare function readConfig(configPath?: string): LhConfigJson;
export declare function writeConfig(config: LhConfigJson, configPath?: string): void;
export declare function getLhConfigFromArgv(rc: Partial<Pick<CollectCommandArgv, 'configPath' | 'config' | 'budgets' | 'budgetPath'>>): LhConfigJson;
export declare function mergeLhConfig(globalCfg?: LhConfigJson, localCfg?: LhConfigJson): LhConfigJson;
