import { RcJson } from '../../../types';
import { CLIProcess } from '../../../core/processing/types';
export declare const budgetsFileExist: (path: string) => boolean;
export declare const defaultBudgets: () => string;
export declare const derivedBudgets: (lhr: string) => string;
export declare function writeBudgetsFile(path: string, name: string, budgets: string): void;
export declare function generateLhBudgets(cfg: RcJson & {
    lhr?: string;
}): Promise<RcJson>;
export declare function generateLightHouseBudgetProcess(lhr?: string): CLIProcess;
export declare function handleBudgetsGeneration({ generateBudgets, lhr }: {
    generateBudgets?: boolean;
    lhr?: string;
}): CLIProcess;
