"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptParam = void 0;
const tslib_1 = require("tslib");
const enquirer_1 = require("enquirer");
function promptParam(cfg) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { type, initial, message, skip, result } = cfg;
        const { param } = yield (0, enquirer_1.prompt)([{
                name: 'param',
                type: type || 'input',
                initial,
                message,
                skip,
                result
            }]);
        return param;
    });
}
exports.promptParam = promptParam;
//# sourceMappingURL=prompt.js.map