"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.interactive = void 0;
const yargs_1 = require("yargs");
const pre_set_1 = require("../../pre-set");
exports.interactive = {
    alias: 'i',
    type: 'boolean',
    description: 'When false questions are skipped with the values from the suggestions. This is useful for CI integrations.',
    default: (0, pre_set_1.getEnvPreset)().interactive,
};
function get() {
    const { interactive } = yargs_1.argv;
    return interactive;
}
exports.get = get;
//# sourceMappingURL=interactive.js.map