"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/// <reference types='vitest' />
const vite_1 = require("vite");
const nx_tsconfig_paths_plugin_1 = require("@nx/vite/plugins/nx-tsconfig-paths.plugin");
exports.default = (0, vite_1.defineConfig)({
    root: __dirname,
    cacheDir: '../../node_modules/.vite/packages/cli',
    plugins: [(0, nx_tsconfig_paths_plugin_1.nxViteTsPaths)()],
    test: {
        globals: true,
        cache: {
            dir: '../../node_modules/.vitest',
        },
        environment: 'node',
        include: ['src/**/*.test.ts'],
        reporters: ['basic'],
        coverage: {
            reportsDirectory: '../../coverage/packages/cli',
            provider: 'v8',
        },
    },
});
//# sourceMappingURL=vite.config.js.map