"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initCommand = void 0;
const tslib_1 = require("tslib");
const loggin_1 = require("../../core/loggin");
const options_1 = require("./options");
const command_impl_1 = require("./command-impl");
exports.initCommand = {
    command: 'init',
    description: 'Setup .user-flowrc.json',
    builder: (y) => y.options(options_1.initOptions),
    module: {
        handler: (argv) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            (0, loggin_1.logVerbose)(`run "init" as a yargs command`);
            yield (0, command_impl_1.runInitCommand)(argv);
        })
    }
};
//# sourceMappingURL=index.js.map