"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initOptions = void 0;
const options_1 = require("../collect/options");
const options_2 = require("../assert/options");
const generateFlow = {
    alias: 'h',
    type: 'boolean',
    description: 'Create as user flow under "ufPath"'
};
const generateGhWorkflow = {
    alias: 'g',
    type: 'boolean',
    description: 'Create a workflow using user-flow under .github/workflows'
};
const generateBudgets = {
    type: 'boolean',
    description: 'Create a budgets file'
};
const lhr = {
    type: 'string',
    description: 'Should derive budget from path',
};
exports.initOptions = Object.assign(Object.assign({ generateFlow,
    generateGhWorkflow,
    generateBudgets,
    lhr }, options_1.collectOptions), options_2.assertOptions);
//# sourceMappingURL=options.js.map