"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.details = void 0;
const constants_1 = require("./constants");
/**
 * <details {open}>
 *   <summary>{title}</summary>
 *   {content}
 * <details>
 */
function details(title, content, cfg = { open: false }) {
    return `<details ${cfg.open && 'open'}>${constants_1.NEW_LINE}
<summary>${title}</summary>${constants_1.NEW_LINE}
${content}${constants_1.NEW_LINE}
</details>${constants_1.NEW_LINE}`;
}
exports.details = details;
//# sourceMappingURL=details.js.map