import { InferredOptionTypes } from 'yargs';
import { get as getVerbose } from './verbose';
import { get as getRcPath } from '../rc-json/options/rc';
import { get as getInteractive } from './interactive';
export declare const GLOBAL_OPTIONS_YARGS_CFG: {
    verbose: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean | undefined;
    };
    rcPath: {
        alias: string;
        type: "string";
        description: string;
        default: string;
    };
    interactive: {
        alias: string;
        type: "boolean";
        description: string;
        default: boolean | undefined;
    };
};
export type GlobalCliOptions = InferredOptionTypes<typeof GLOBAL_OPTIONS_YARGS_CFG>;
export declare const globalOptions: {
    getVerbose: typeof getVerbose;
    getRcPath: typeof getRcPath;
    getInteractive: typeof getInteractive;
};
