"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.verbose = void 0;
const yargs_1 = require("yargs");
const pre_set_1 = require("../../pre-set");
exports.verbose = {
    alias: 'v',
    type: 'boolean',
    description: 'Run with verbose logging',
    default: (0, pre_set_1.getEnvPreset)().verbose
};
// We are in the process of removing this getter
function get() {
    const { verbose } = yargs_1.argv;
    if (verbose === undefined) {
        throw new Error('Error extracting verbose cli argument');
    }
    return verbose;
}
exports.get = get;
//# sourceMappingURL=verbose.js.map