"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.rcPath = void 0;
const yargs_1 = require("yargs");
const pre_set_1 = require("../../../pre-set");
exports.rcPath = {
    alias: 'p',
    type: 'string',
    description: 'Path to user-flow.config.json. e.g. `./user-flowrc.json`',
    default: (0, pre_set_1.getEnvPreset)().rcPath
};
// We don't rely on yargs option normalization features as this can happen before cli bootstrap
function get() {
    const { rcPath } = yargs_1.argv;
    return rcPath;
}
exports.get = get;
//# sourceMappingURL=rc.js.map